List Deposits

Lists the deposits of the customer account, newest first. Bank transfers and SEPA Direct Debit deposits are listed together in the same shape; a SEPA Direct Debit deposit names its payment_instrument_mandate and workflow. Filters can be combined.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

An account identifier.

Query Params
DepositStatus | string

Only return deposits whose current status is the given one. Set to * to return deposits of every status, the same as omitting this parameter.

string
length ≤ 255

Only return SEPA Direct Debit deposits collected under the given mandate.

string
length ≤ 255

Only return SEPA Direct Debit deposits collected by the given deposit.collect_with_mandate workflow.

string
length ≤ 255

Only return deposits credited to the cash account with the given IBAN.

string
length ≤ 255

Only return deposits credited to the given cash account.

string
length ≤ 255

Only return deposits debited from the bank account with the given IBAN.

string

A pagination cursor. When you receive a paginated response containing the property pagination.next_cursor, you can pass its value here to get the next page of results for your query.
A cursor will include filter parameters, so there is not need to specify both the cursor and any other filter parameter.

integer
1 to 100
Defaults to 100

In order to customize the number of elements returned, you can provide a limit here. The service will not return more elements than specified.

Headers
string
required
string
required
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json